Search the Community
Showing results for tags 'entities'.
-
How to select a "loft" surface via lisp to thicken
Hachi posted a topic in AutoLISP, Visual LISP & DCL
Hey guys! I'm trying to write a lisp that creates a 3D reducer. Once I create the 3D surface via command "_Loft" it remains to create a 3d solid body with the "thicken" command. I can't select the 3D loft surface. Can anyone help with this? Thanks in advance for the answers! Here is my code: (defun c:ccs (/ DK DN L P1 P2 P3 P4 RK RN S NS) (setq Dn (getreal "Adja meg a nagyobb vezeték külső átmérőjét:")) ; Give me the biger pipe diameter (setq Dk (getreal "Adja meg a kisebb vezeték átmérőt:")); give me the reduced diameter (setq L (getreal "Adja meg az átmenet hosszát:")); give me the length in which have to be reduced (setq s (getreal "Adja meg a falvastagságot:")); give me the thickness of the pipe (setq Rn (/ Dn 2)) (setq Rk (/ Dk 2)) (setq ns (min s (- 1))) (setq p1 '(0 0 0)) (setq p2 (list 0 0 L)) (setq p3 (polar p1 0 Rn)) (setq p4 (polar p2 0 Rk)) (setq p5 (polar p3 (/ pi 2) Dn)) (setq p6 (polar p1 pi Dn)) (command "_Circle" p1 Rn "") (command "_Zoom" "_All" "") (command "_Circle" p2 Rk "") (command "_Zoom" "_All" "") (command "_loft" p3 p4 "" "") (command "_select" p5 p6 "") ;(command "_THICKEN" ns "") (princ) ) -
Sort & number entities by clicking - LISP request (to improve laser cut efficiency)
daveacad posted a topic in AutoLISP, Visual LISP & DCL
Hi people! I'm looking for some help: I need to cut plexiglas with laser. The form, drawed with Autocad, come with many circles and arcs. Know someone a routine or lisp able to click entities to reorder the sortment? And, second, it will be wonderful to add a progressive number to the entities to visually control the sortment of them! (I hope the question I made is clear. My english is very poor). Ciao, Daveacad -
I want to link an excel sheet with a drawing, so changing the excel changes the drawing. I used this awesome site to learn about going to Edit->Paste Special->Paste Link->AutoCAD Entities...but I don't have that choice. Just the one that makes the OLE image. While that will work, that is less than ideal. Know any reason that wouldn't appear? It appears in just normal paste, but not under paste link. AutoCAD 2007, A.54; Excel 2003 SP3; Windows XP SP3.
- 14 replies
-
Is it possible to have the same Entity on Multiple Layers?
paulwoody posted a topic in AutoCAD General
I have tried searching the forums to no avail. I am not a beginner when it comes to AutoCAD but I am self taught so it's entirely possible there are things I have missed that are basic and obvious to others. Is it possible to assign an entity or a block to multiple layers? For example I have a Fire Alarm layer showing smoke detectors and a Fire Alarm Panel but I would also like the Fire Alarm Panel to also show in my Small Power Viewport too. I don't want to see smoke detectors on my small Power so I can't just make the layer visible to that viewport. How do you guys handle such a situation? At present I tend to create a dedicated layer called "Small Power Fire" which is shown on both the Fire Alarm Viewport and the Small Power Viewport but this creates a lot of layers to maintain that contain one or two items. I realise I could copy the Fire Alarm Panel to the Small Power Layer but I don't like that idea because its means someone has to change two layers when repositioning or altering. Any suggestions? The ability to assign an entity or block to multiple layers would be fantastic and I can't believe it's not already an option. I am running AutoCAD 2008 at present.